=== debian/changelog ===
ubuntu-advantage-tools (27.11.2~22.10.1) kinetic; urgency=medium

  * New upstream release 27.11.2: (LP: #1991173)
    - esm: add the --beta flag back to esm-apps
    - messaging: show Ubuntu Pro beta message in apt output
    - security-status: don't show esm-apps information when the service is not
      enabled
    - ros: add the --beta flag back to ros and ros-updates

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 29 Sep 2022 16:20:42 -0300

ubuntu-advantage-tools (27.11.1~22.10.1) kinetic; urgency=medium

  * New upstream release 27.11.1: (LP: #1990907)
    - Fix release upgrade when ESM packages are installed
      + d/postinst: remove series information from the APT preferences template
      + esm: remove series information from the APT preferences file

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 27 Sep 2022 16:19:41 -0300

ubuntu-advantage-tools (27.11~22.10.1) kinetic; urgency=medium

  * d/control:
    - Update VCS references
  * d/links:
    - add usr/bin/pro as an alias to ubuntu-advantage
  * d/postinst:
    - include root_mode parameter when creating UAConfig instances
    - change calls to add_notice to notice_file.add
    - create public machine-token file if it does not exist
  * New upstream release 27.11 (LP: #1989279)
    - api:
      + new `pro api` command to access the public client API
      + 'version' endpoint returning version information
      + 'should auto attach' endpoint informing if a system should run
        auto-attach on startup
      + 'full auto attach' endpoint performing auto-attach
      + 'magic attach' endpoints for the Magic Attach flow
    - auto-attach:
      + better errors for invalid pro images (GH: #2180, #1833)
      + don't detach on already auto-attached instances
      + no-op when ubuntu-advantage information is present on cloud-init
        userdata
      + change systemd unit to run after cloud-config
    - cli:
      + cli: better error message on unrecognized flags (GH: #672)
    - collect-logs:
      + can now be executed as a non-root user
      + is executed automatically and result is appended when using apport to
        report a bug
    - docs: now formatted to be built with sphinx, and published in readthedocs
    - enable:
      + new access-only flag for usecases where auto-install is undesired
      + fix apt auth line replacement (LP: #1985863)
    - esm-apps: generally available as non-beta as part of Ubuntu Pro
    - fix: check if livepatch has already fixed a CVE before attempting a fix
    - jobs: new timer job to check if the release reached end of support
    - pro:
      + Ubuntu Pro is released as a product
      + make `pro` the recommended executable for the client
      + client, apt and motd messages updated/rewritten to show Pro 
        information
      + base URL changed from /advantage to /pro
      + ESM services renamed as part of Pro
    - ros: released as a non-beta entitlement
    - security-status
      + does not require the --format flag anymore
      + human readable output added based on ubuntu-security-status
      + machine readable output contains CVEs fixed by Livepatch
      + package counts include all esm-infra and esm-apps repositories
    - status:
      + don't show unavailable services by default (GH: #2156, #2159)
      + expiry date formatted based on timezone (GH: #695)
      + non-root users get the current status instead of a cached version
      + --wait flag now working for non-root users
    - version: warn about new available versions of the client in CLI command
      output and API calls

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 08 Sep 2022 18:02:55 -0300

ubuntu-advantage-tools (27.10.1~22.10.1) kinetic; urgency=medium

  * apt-hook: Fix missing import warning when compiling

 -- Lucas Moura <lucas.moura@canonical.com>  Tue, 09 Aug 2022 14:03:14 -0300

ubuntu-advantage-tools (27.10~22.10.1) kinetic; urgency=medium

  * d/control:
    - Drop golang dependencies
  * d/rules:
    - Only install APT hooks on LTS series
  * New upstream release 27.10 (LP: #1980990)
    - apt-hook: replace golang with cpp for json-hook
    - cli
      + properly sort services for detach/attach (GH: #1831)
      + collect-logs include rotated log files
      + display UA features directly on status
    - daemon: do not try enabling daemon during auto-attach (LP: #1980865)
    - fix:
      + update ua portal url when asking for attach
      + add --dry-run option
    - gcp-pro: better error message for metadata endpoint error
    - requests: Add default timeout for web requests
    - timer: log when job start running
    - security-status: include download size of package updates

 -- Lucas Moura <lucas.moura@canonical.com>  Fri, 01 Jul 2022 11:51:13 -0300
