=== debian/control ===
Source: ubuntu-advantage-tools
Section: misc
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               debhelper (>=9),
               debianutils (>= 4.7),
               dh-python,
# After debhelper 13.3 we no longer need dh-systemd.
# On hirsute and later, dh-systemd doesn't even exist.
# On recent releases, the first alternative will be used.
# On older releases (where debhelper is older than 13.3 and we need dh-systemd), the second alternative is used.
# Putting debhelper first allows a successful build on recent releases without requiring --resolve-alternatives during sbuild.
               debhelper (>= 13.3) | dh-systemd,
               gettext,
               git,
               libapt-pkg-dev,
               libjson-c-dev,
               libboost-test-dev,
               po-debconf,
               python3 (>= 3.4),
               python3-flake8,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.5.1
Homepage: https://ubuntu.com/advantage
Vcs-Git: https://github.com/canonical/ubuntu-advantage-client.git
Vcs-Browser: https://github.com/canonical/ubuntu-advantage-client
Rules-Requires-Root: no

Package: ubuntu-advantage-tools
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-apt,
         python3-pkg-resources,
         ${extra:Depends}
Description: management tools for Ubuntu Advantage
 Ubuntu Advantage is the professional package of tooling, technology
 and expertise from Canonical, helping organisations around the world
 manage their Ubuntu deployments.
 .
 Subscribers to Ubuntu Advantage will find helpful tools for accessing
 services in this package.

Package: ubuntu-advantage-pro
Architecture: all
Depends: ${misc:Depends}, ubuntu-advantage-tools (>=20.2)
Replaces: ubuntu-advantage-tools (<<20.2)
Breaks: ubuntu-advantage-tools (<<20.2)
Description: utilities and services for Ubuntu Pro images
 The Ubuntu Pro package delivers additional utilities for use on authorised
 Ubuntu Pro machines.
