## ubuntu-advantage-tools 28.1~16.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~16.04) xenial; urgency=medium

  * Backport new upstream release: (LP: #2017949) to xenial

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:33 -0400

ubuntu-advantage-tools (28.1) mantic; urgency=medium

  * New upstream release 28.1 (LP: #2017949)
    - fips: ensure shim-signed is updated to the version in the fips repo
      if necessary
    - status: fix bug where an existing status cache could influence the
      simulated status output

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 15:05:11 -0400

ubuntu-advantage-tools (28) mantic; urgency=medium

  * d/ubuntu-advantage-tools.postinst:
    - more specific regex for ua_config warning
  * d/source/lintian-overrides
    - adjust missing-build-dependency-for-dh-addon systemd override to work
      for the different but related error message on jammy onwards
  * New upstream release 28 (LP: #2017949)
    - api:
      + new endpoint: u.pro.status.is_attached.v1
      + new endpoint: u.pro.status.enabled_services.v1
    - apport: collect default log files if present for bug reports
    - apt messaging: add bionic-specific urls
    - auto-attach:
      + check for new Azure UBUNTU_PRO license on-boot of non-pro instances
      + exit 4 if attach succeeds but service enablement fails
    - cli:
      + avoid unnecessary network calls during autocomplete (GH: #2556)
      + warn users to not rely on human-readable output in scripts
    - config: no longer load uaclient.conf from current working directory
    - fix:
      + add support for --no-related flag
      + separate target USN from related USNs
    - general:
      + logs to user cache directory when run as non-root
      + fix bug where non-root commands failed with file permission error
        accessing /tmp/ubuntu-advantage (GH: #2567)
      + use system environment vars by default in sub processes (GH: #2527)
      + fall back to /usr/lib/os-release for release info
      + start logging to default log file until config is loaded
      + remove small timeout from contract checking request
      + avoid crashes when processing unicode text (LP: #2019729)
    - livepatch:
      + use uname.machine for kernel arch when checking support
        (GH: #2517)
      + display tailored warning messages for granular support statuses
    - realtime-kernel: add support for intel-iotg variant
    - reboot-required: new criteria for "yes-kernel-livepatches-applied"
      livepatch status must be either "applied" or "nothing-to-apply" and
      livepatch support status must say "supported"
    - security-status:
      + always show available/installed counts for esm packages
      + include hint to run apt-get update for up-to-date info (GH: #2443)
      + improve visibility of installed and available updates (GH: #2442)
      + change package info message hint to recommend apt-cache show
      + avoids unnecessary network calls (LP: #2015286, GH: #2536)
    - systemd: update service unit for reboot_cmds to not run if not attached
    - status:
      + add hint for pro status --all
      + better message if no services are available (LP: #1994923)
    - timer: only run timer when attached

 -- Grant Orndorff <grant.orndorff@canonical.com>  Thu, 27 Apr 2023 16:34:55 -0400
