## ubuntu-advantage-tools 28.1~18.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~18.04) bionic; urgency=medium

  * Backport new upstream release: (LP: #2017949) to bionic

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:37 -0400
