## ubuntu-advantage-tools 28.1~20.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~20.04) focal; urgency=medium

  * Backport new upstream release: (LP: #2017949) to focal

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:43 -0400
