## ubuntu-advantage-tools 28.1~22.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~22.04) jammy; urgency=medium

  * Backport new upstream release: (LP: #2017949) to jammy

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:48 -0400
