## ubuntu-advantage-tools 28.1~22.10

=== debian/changelog ===
ubuntu-advantage-tools (28.1~22.10) kinetic; urgency=medium

  * Backport new upstream release: (LP: #2017949) to kinetic

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:52 -0400
