## ubuntu-advantage-tools 28.1~23.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~23.04) lunar; urgency=medium

  * Backport new upstream release: (LP: #2017949) to lunar

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:57 -0400
