## ubuntu-advantage-tools 29.3~16.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~16.04) xenial; urgency=medium

  * Backport new upstream release: (LP: #2029144) to xenial

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:40:58 -0300

ubuntu-advantage-tools (29.3) mantic; urgency=medium

  * api: fix circular import that prevents enabled_services
    endpoint from being imported

 -- Lucas Moura <lucas.moura@canonical.com>  Fri, 25 Aug 2023 14:26:37 -0300

ubuntu-advantage-tools (29.2) mantic; urgency=medium

  * d/ubuntu-advantage-tools.postinst:
    - replace deb-systemd-invoke back to systemctl
  * proxy: alert user if ca-certificates is not installed when using
    a TLS-in-TLS proxy

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 17 Aug 2023 19:45:48 -0300

ubuntu-advantage-tools (29.1) mantic; urgency=medium

  * anbox: allow enabling service on container using the --access-only flag

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 10 Aug 2023 11:08:46 -0300

ubuntu-advantage-tools (29) mantic; urgency=medium

  * d/control:
    - update links for the project github page
  * d/copyright:
    - bump date to 2023
    - update upstream-name and source
  * d/ubuntu-advantage-tools.{postinst,postrm}:
    - rename repo GPG keys from -advantage to -pro (GH: #1539)
    - replace calls to systemctl for deb-systemd-invoke
  * d/README.source:
    - add file with basic explanation on the source code (GH: #2463)
  * New upstream release 29 (LP: #2029144)
    - anbox-cloud: add support for service
    - api
      + new endpoint: u.pro.security.fix.plan.cve.v1
      + new endpoint: u.pro.security.fix.plan.usn.v1
      + new endpoint: u.apt_news.current_news.v1
      + add more data explaining the decision made for
        u.pro.security.status.reboot_required.v1 endpoint
    - contract:
      + send activityInfo after cli attach, enable and disable
      + start recording when the machine has attached to a Pro subscription
      + more reliable detection when running on a docker container
    - esm: create static files to pin packages from esm-infra and esm-apps with
      higher priority (GH: #2580)
    - fix: ignore non-USN items on related usns
    - landscape: add support for the service
    - logging: update to ubuntupro logging namespace
    - proxy: add support for TLS-in-TLS proxy (LP: #1999909)
    - snapd: look for the snapd package instead of the snap command
    - system: try/except logic to remove files and folders (LP: #2025731)

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 31 Jul 2023 15:46:23 +0000
