## ubuntu-advantage-tools 29.3~18.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~18.04) bionic; urgency=medium

  * Backport new upstream release: (LP: #2029144) to bionic

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:41:03 -0300
