## ubuntu-advantage-tools 29.3~20.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~20.04) focal; urgency=medium

  * Backport new upstream release: (LP: #2029144) to focal

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:41:08 -0300
