## ubuntu-advantage-tools 29.3~22.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~22.04) jammy; urgency=medium

  * Backport new upstream release: (LP: #2029144) to jammy

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:41:13 -0300
