## ubuntu-advantage-tools 29.3~23.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~23.04) lunar; urgency=medium

  * Backport new upstream release: (LP: #2029144) to lunar

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:41:17 -0300
