=== debian/rules ===
--- 
+++ 
@@ -66,11 +66,7 @@
 
 	# We install the conf file even on non-LTS version to avoid issues on upgrade scenarios
 	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install-conf
-
-# Hooks will only be delivered on LTS instances
-ifeq (LTS,$(findstring LTS,$(VERSION)))
 	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install
-endif
 
 	# We want to guarantee that we are not shipping any conftest files
 	find $(CURDIR)/debian/ubuntu-advantage-tools -type f -name conftest.py -delete
