## ubuntu-advantage-tools 30~18.04

=== debian/changelog ===
ubuntu-advantage-tools (30~18.04) bionic; urgency=medium

  * Backport new upstream release to bionic (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:37 +0200
