## ubuntu-advantage-tools 30~20.04

=== debian/changelog ===
ubuntu-advantage-tools (30~20.04) focal; urgency=medium

  * Backport new upstream release to focal (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:40 +0200
