## ubuntu-advantage-tools 30~22.04

=== debian/changelog ===
ubuntu-advantage-tools (30~22.04) jammy; urgency=medium

  * Backport new upstream release to jammy (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:42 +0200
