## ubuntu-advantage-tools 30~23.04

=== debian/changelog ===
ubuntu-advantage-tools (30~23.04) lunar; urgency=medium

  * Backport new upstream release to lunar (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:44 +0200
