=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                gettext,
                git,
                libapt-pkg-dev,
+               python3-apt,
                libjson-c-dev,
                libboost-test-dev,
                po-debconf,
@@ -38,6 +39,7 @@
          python3-apt,
          python3-pkg-resources,
          ${extra:Depends}
+Recommends: ubuntu-pro-client-l10n
 Description: management tools for Ubuntu Pro
  Ubuntu Pro is the professional package of tooling, technology
  and expertise from Canonical, helping organisations around the world
@@ -45,6 +47,13 @@
  .
  Subscribers to Ubuntu Pro will find helpful tools for accessing
  services in this package.
+
+Package: ubuntu-pro-client-l10n
+Architecture: any
+Depends: ${misc:Depends}, ubuntu-advantage-tools (>=30~)
+Description: Translations for Ubuntu Pro Client
+ This package delivers translations of Ubuntu Pro Client for various
+ languages.
 
 Package: ubuntu-advantage-pro
 Architecture: all
