## ubuntu-advantage-tools 30~23.10

=== debian/changelog ===
ubuntu-advantage-tools (30~23.10) mantic; urgency=medium

  * Backport new upstream release to mantic (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:34 +0200
