=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
                debhelper (>=9),
                debianutils (>= 4.7),
                dh-python,
+               dh-apparmor,
+               apparmor,
 # After debhelper 13.3 we no longer need dh-systemd.
 # On hirsute and later, dh-systemd doesn't even exist.
 # On recent releases, the first alternative will be used.
@@ -21,6 +23,7 @@
                po-debconf,
                python3 (>= 3.4),
                python3-flake8,
+               python3-jinja2,
                python3-mock,
                python3-pytest,
                python3-setuptools,
@@ -32,6 +35,16 @@
 Rules-Requires-Root: no
 
 Package: ubuntu-advantage-tools
+Depends: ubuntu-pro-client (>= ${binary:Version}), ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional dummy package for ubuntu-pro-client
+ This is a transitional dummy package for ubuntu-pro-client. It can safely be
+ removed.
+
+Package: ubuntu-pro-client
+Homepage: https://canonical-ubuntu-pro-client.readthedocs-hosted.com/
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
@@ -40,27 +53,55 @@
          python3-pkg-resources,
          ${extra:Depends}
 Recommends: ubuntu-pro-client-l10n
-Description: management tools for Ubuntu Pro
- Ubuntu Pro is the professional package of tooling, technology
- and expertise from Canonical, helping organisations around the world
- manage their Ubuntu deployments.
- .
- Subscribers to Ubuntu Pro will find helpful tools for accessing
- services in this package.
+Breaks: ubuntu-advantage-tools (<<31~)
+Replaces: ubuntu-advantage-tools (<<31~)
+# IMPORTANT: ubuntu-pro-client does not "Provide" ubuntu-advantage-tools
+# At the time of the rename, existing releases with ubuntu-advantage-tools
+# include xenial, bionic, focal, jammy, and mantic.
+# We cannot allow ubuntu-advantage-tools <<31 to be removed on those releases,
+# because it could break ESM (remove sources.list entries in prerm).
+# On those releases, ubuntu-minimal (and ubuntu-cloud-minimal) Depends on
+# ubuntu-advantage-tools, which prevents it from being removed without also
+# removing ubuntu-minimal or ubuntu-cloud-minimal. We consider that to be a
+# sufficient warning to users that removing ubuntu-advantage-tools is not
+# supported.
+# If ubuntu-pro-client were to "Provide" ubuntu-advantage-tools, then that
+# mechanism would not work, and users could remove ubuntu-advantage-tools
+# accidentally.
+# ubuntu-pro-client could "Provide" ubuntu-advantage-tools in releases in the
+# future, but it would not add any value over having the ubuntu-advantage-tools
+# transitional dummy package.
+Description: Management tools for Ubuntu Pro
+ Ubuntu Pro is a suite of additional services provided by Canonical on
+ top of Ubuntu. Whether you're an enterprise customer deploying systems
+ at scale or want security patching for your personal Ubuntu LTS
+ at home, the Ubuntu Pro Client (pro) is the command-line tool that
+ will help you manage the services you need.
 
 Package: ubuntu-pro-client-l10n
 Architecture: any
-Depends: ${misc:Depends}, ubuntu-advantage-tools (>=30~)
+Depends: ${misc:Depends}, ubuntu-pro-client (= ${binary:Version})
 Description: Translations for Ubuntu Pro Client
  This package delivers translations of Ubuntu Pro Client for various
  languages.
 
 Package: ubuntu-advantage-pro
+Depends: ubuntu-pro-auto-attach, ${misc:Depends}
 Architecture: all
-Depends: ${misc:Depends}, ubuntu-advantage-tools (>=20.2)
-Replaces: ubuntu-advantage-tools (<<20.2)
-Breaks: ubuntu-advantage-tools (<<20.2)
-Description: Additional services for Ubuntu Pro images
+Priority: optional
+Section: oldlibs
+Description: transitional dummy package for ubuntu-pro-auto-attach
+ This is a transitional dummy package for ubuntu-pro-auto-attach. It can
+ safely be removed.
+
+Package: ubuntu-pro-auto-attach
+Homepage: https://canonical-ubuntu-pro-client.readthedocs-hosted.com/en/latest/explanations/what_are_ubuntu_pro_cloud_instances/
+Architecture: all
+Depends: ${misc:Depends}, ubuntu-pro-client (>=31~)
+Breaks: ubuntu-advantage-pro (<<31~)
+Replaces: ubuntu-advantage-pro (<<31~)
+Provides: ubuntu-advantage-pro
+Description: Service to auto-attach Ubuntu Pro cloud images
  This package delivers an additional service that performs an auto-attach
  operation for Ubuntu Pro cloud instances. This package should not be manually
  installed, as it is already present on the cloud instances that require it.
